CGAL 6.2 - Linear Cell Complex

Loading...
Searching...
No Matches
List of all members
CGAL::Linear_cell_complex_for_combinatorial_map< d, d2, LCCTraits, Items, Alloc > Class Template Reference
Reference Manual » Classes

`#include <CGAL/Linear_cell_complex_for_combinatorial_map.h>`

## Inherits from

CGAL::Combinatorial_map< d, Items, Alloc >.

## Definition

template<typename d, typename d2, typename LCCTraits, typename Items, typename Alloc>
class CGAL::Linear_cell_complex_for_combinatorial_map< d, d2, LCCTraits, Items, Alloc >

The class `Linear_cell_complex_for_combinatorial_map` represents a linear cell complex in dimension `d`, in an ambient space of dimension `d2`, using a combinatorial map as underlying combinatorial data-structure.

Like for `Combinatorial_map`, two versions exist: one where Darts and non void attributes are stored in memory using `Compact_container`, using `Alloc` as allocator, and use handles as descriptors; a second one where Darts and non void attributes are stored in an internal std::vector like data-structure, and use indices as descriptors. The choice between the two versions is done through the item class.

Is model of
  `LinearCellComplex`
  `CombinatorialMap`

Template Parameters

  d | the dimension of the combinatorial map.
  d2 | the dimension of the ambient space. Equal to `d` by default.
  LCCTraits | be a model of the `LinearCellComplexTraits` concept, satisfying `LCCTraits::ambient_dimension``==d2`. Equal to `CGAL::Linear_cell_complex_traits<d2>` by default.
  Items | a model of the `LinearCellComplexItems` concept. Equal to `CGAL::Linear_cell_complex_min_items` by default.
  Alloc | has to match the standard allocator requirements. Equal to `CGAL_ALLOCATOR(int)` by default.

Advanced

Note that there is an additional, and undocumented, template parameter `CMap` for `Linear_cell_complex_for_combinatorial_map<d,d2,LCCTraits,Items,Alloc,CMap>` allowing to inherit from any model of the `CombinatorialMap` concept.

See also
  `CGAL::Combinatorial_map<d,Items,Alloc>`
  `CGAL::Linear_cell_complex_traits<d,K>`
  `CGAL::Linear_cell_complex_min_items<d>`

Examples
  Linear_cell_complex/draw_linear_cell_complex.cpp, Linear_cell_complex/linear_cell_complex_3.cpp, Linear_cell_complex/linear_cell_complex_3_attributes_management.cpp, Linear_cell_complex/linear_cell_complex_3_incremental_builder.cpp, Linear_cell_complex/linear_cell_complex_3_insert.cpp, Linear_cell_complex/linear_cell_complex_3_vtk_io.cpp, and Linear_cell_complex/linear_cell_complex_3_with_colored_vertices.cpp.

## Constants
static const unsigned int | ambient_dimension = d2
| Ambient dimension, must be > 1.

## Additional Inherited Members
Public Types inherited from CGAL::Combinatorial_map< d, Items, Alloc >
typedef Combinatorial_map< d, Items, Alloc > | Self
typedef Items::Dart_wrapper< Self >::Dart_info | Dart_info
typedef Items::Dart_wrapper< Self >::Attributes | Attributes
Static Public Attributes inherited from CGAL::Combinatorial_map< d, Items, Alloc >
static const unsigned int | dimension